#ifndef FSGUIBOXSELECTION_IS_INCLUDED
#define FSGUIBOXSELECTION_IS_INCLUDED
/* { */


class FsGuiBoxSelection
{
private:
	YSBOOL enabled,dragging;
	int x0,y0,x1,y1;
public:
	FsGuiBoxSelection();

	void SetEnable(YSBOOL e);
	void Enable(void);
	void Disable(void);
	YSBOOL IsEnabled(void) const;

	YSBOOL IsDragging(void) const;
	void LButtonDown(YSBOOL lb,YSBOOL mb,YSBOOL rb,int mx,int my);
	void MouseMove(YSBOOL lb,YSBOOL mb,YSBOOL rb,int mx,int my);

	/*! Returns YSTRUE if a box-selection has been made. */
	YSBOOL LButtonUp(YSBOOL lb,YSBOOL mb,YSBOOL rb,int mx,int my);

	void GetRect(int &x0,int &y0,int &x1,int &y1) const;
};


/* } */
#endif
