#include "ysfileio.h"

YsFileIO::YsFileIO()
{
	fp=NULL;
}

YsFileIO::YsFileIO(const wchar_t fn[],const char mode[])
{
	fp=YsFileIO::Fopen(fn,mode);
}

YsFileIO::~YsFileIO()
{
	Fclose();
}

/* static */ YSBOOL YsFileIO::CheckFileExist(const wchar_t fn[])
{
	auto fp=Fopen(fn,"rb");
	if(NULL!=fp)
	{
		fclose(fp);
		return YSTRUE;
	}
	return YSFALSE;
}
/* static */ YSBOOL YsFileIO::CheckFileExist(const char fn[])
{
	auto fp=Fopen(fn,"rb");
	if(NULL!=fp)
	{
		fclose(fp);
		return YSTRUE;
	}
	return YSFALSE;
}

void YsFileIO::Fclose(void)
{
	if(NULL!=fp)
	{
		fclose(fp);
		fp=NULL;
	}
}

FILE *YsFileIO::Fp(void) const
{
	return fp;
}
