#include "fsgui.h"



FsGuiBoxSelection::FsGuiBoxSelection()
{
	enabled=YSFALSE;
	dragging=YSFALSE;
}
void FsGuiBoxSelection::SetEnable(YSBOOL e)
{
	enabled=e;
}
void FsGuiBoxSelection::Enable(void)
{
	enabled=YSTRUE;
}
void FsGuiBoxSelection::Disable(void)
{
	enabled=YSFALSE;
}
YSBOOL FsGuiBoxSelection::IsEnabled(void) const
{
	return enabled;
}
YSBOOL FsGuiBoxSelection::IsDragging(void) const
{
	return dragging;
}
void FsGuiBoxSelection::LButtonDown(YSBOOL lb,YSBOOL mb,YSBOOL rb,int mx,int my)
{
	if(YSTRUE==enabled)
	{
		dragging=YSFALSE;
		x0=mx;
		y0=my;
	}
}
void FsGuiBoxSelection::MouseMove(YSBOOL lb,YSBOOL mb,YSBOOL rb,int mx,int my)
{
	if(YSTRUE==enabled && YSTRUE==lb)
	{
		dragging=YSTRUE;
		x1=mx;
		y1=my;
	}
}
YSBOOL FsGuiBoxSelection::LButtonUp(YSBOOL lb,YSBOOL mb,YSBOOL rb,int mx,int my)
{
	if(YSTRUE==enabled && YSTRUE==dragging)
	{
		dragging=YSFALSE;
		x1=mx;
		y1=my;
		return YSTRUE;
	}
	return YSFALSE;
}
void FsGuiBoxSelection::GetRect(int &x0,int &y0,int &x1,int &y1) const
{
	x0=this->x0;
	y0=this->y0;
	x1=this->x1;
	y1=this->y1;
}
