#ifndef YSGLHEADER_IS_INCLUDED
#define YSGLHEADER_IS_INCLUDED
/* { */

/* Force Visual C++ to type-mismatching error. */
#pragma warning( error : 4028)
#pragma warning( error : 4047)

#ifdef _WIN32
	#include <windows.h>
#elif !defined GL_GLEXT_PROTOTYPES
	#define GL_GLEXT_PROTOTYPES
#endif

// I didn't find a convenient macro to identify iOS.  Please add a macro __APPLE_IOS__ to the preprocessor macro option.

#ifndef __APPLE__
	#include <GL/gl.h>
	#include <GL/glu.h>
	#include <GL/glext.h>
#else
    #include <TargetConditionals.h>
    #if TARGET_OS_EMBEDDED!=0 || TARGET_OS_IPHONE!=0 || TARGET_OS_IPHONE_SIMULATOR!=0
		#include <OpenGLES/ES2/gl.h>
		#include <OpenGLES/ES2/glext.h>
		typedef double GLdouble;
	#else
		#include <OpenGL/gl.h>
		#include <OpenGL/glu.h>
		#include <OpenGL/glext.h>
	#endif
#endif

#ifdef _WIN32
	#include "ysglwindows.h" // Hey Microsoft, can you concede and add support for higher versions of OpenGL in Visual C++ ?  Thank you!  Nobody wants Direct 3D b**ls**t!
#endif

/* } */
#endif
